Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.templates
Class ContextTypeRegistry

    java.lang.Object
      org.eclipse.jface.text.templates.ContextTypeRegistry

public class ContextTypeRegistry
extends Object

A registry for context types. Editor implementors will usually instantiate a registry and configure the context types available in their editor.

In order to pick up templates contributed using the `org.eclipse.ui.editors.templates` extension point, use a `ContributionContextTypeRegistry`.

Since:
  3.0

Constructor Summary
`ContextTypeRegistry()`

Method Summary
`void` | `addContextType(TemplateContextType contextType)` Adds a context type to the registry.
`Iterator` | `contextTypes()` Returns an iterator over all registered context types.
`TemplateContextType` | `getContextType(String id)` Returns the context type if the id is valid, `null` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextTypeRegistry

    public ContextTypeRegistry()

Method Detail

### addContextType

    public void addContextType(TemplateContextType contextType)

  Adds a context type to the registry. If there already is a context type with the same ID registered, it is replaced.

  Parameters:
    `contextType` - the context type to add

### getContextType

    public TemplateContextType getContextType(String id)

  Returns the context type if the id is valid, `null` otherwise.

  Parameters:
    `id` - the id of the context type to retrieve
  Returns:
    the context type if `name` is valid, `null` otherwise

### contextTypes

    public Iterator contextTypes()

  Returns an iterator over all registered context types.

  Returns:
    an iterator over all registered context types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.